JH_LINKJARS(1)

NAME
jh_linkjars - populate folders with symlinks to jar files

SYNOPSIS
jh_linkjars [debhelper options]

jh_linkjars [debhelper options] directory

DESCRIPTION
If upstream ship convenience copies of third-party jar files which have been removed (see jh_repack(1)), but the build system refers to that directory, jh_linkjars can be used to populate the directory with symlinks to the packaged jars in /usr/share/java.

It is called either with a directory on the command line or by specifying one target directory per line in the file debian/linkjars.

jh_linkjars will scan all of the (installed) build-dependencies and create a symlink to every jar which is installed by those packages in the target directory.

jh_linkjars can be called with -u to remove all the symlinks in the clean target. This is done automatically by jh_clean(1).

FILES

debian/linkjars
    List of directories to populate; one directory per line.

OPTIONS

-t, --transitive
    Transitively link jar files (i.e. also include indirect dependencies in the target directory).

-u, --unlink
    Remove all files/links in the target directories that jh_linkjars created (or would have created).

Beyond the above, jh_linkjars also accepts the shared debhelper options documented in debhelper(7).

SEE ALSO
debhelper(7)

This program is a part of javahelper and uses debhelper as backend. There are also tutorials in /usr/share/doc/javahelper.

AUTHOR
Niels Thykier <niels@thykier.net>